<?php
/**
 * 公益收益一览
 * $Id: proceeds_list.php,v 1.1 2020/01/03 11:18:46  Exp $
 * @author lixq
 * @package manager.public_html
 */
// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("11")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

$page_num = ParamUtil::getRequestNumber("page_num", 1);
$page_row = MANAGER_DEFAULT_ROW_COUNT;
$paging_url_link = "./proceeds_list.php";


$uer_media_list = [];

//总件数
$proceeds_count = CompassHandler::getProceedsMedia();
$proceeds = CompassHandler::getProceeds();
$param = array();
$param["name"] = "COURSE_RATE";
$course_rate = SystemConstantDat::getList($param)[0]->constant_value;
$count = CompassHandler::getProceedsMediaListCount();
// // 一览取得
if ($count> 0) {
  $offset = ($page_num - 1) * $page_row;
  $uer_media_list = CompassHandler::getProceedsMediaList(null, "id", "DESC", $offset, $page_row);
  $page_count = ceil($count/ $page_row);
  $show_page_num = MANAGER_PAGING_SHOW_PAGE_COUNT;
  $page_range = PagingHandler::getPageRange($page_num, $page_count, $show_page_num);
  $page_first = $page_range[0];
  $page_end = $page_range[1];
}

// ページ
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "proceeds_list.inc";
$layout_pages["menu_clicked"] = "4-4";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;